#!/bin/bash
# Keila wrapper script that sets up proper Erlang runtime

# Set up environment for Keila
export MIX_ENV=prod
export ERL_LIBS=/usr/local/lib/erlang/lib

# Use system Erlang instead of the embedded one
export PATH="/usr/local/bin:$PATH"

# Run Keila with system Erlang
exec /usr/local/bin/erl -boot_var ERTS_LIB_DIR /usr/local/lib/erlang \
    -boot /app/data/keila/releases/0.14.11/start \
    -config /app/data/keila/releases/0.14.11/sys.config \
    -args_file /app/data/keila/releases/0.14.11/vm.args \
    -pa /app/data/keila/lib/*/ebin \
    "$@"